Show compatibility error if an add-on uses StartDocumentLoad, EndDocumentLoad, FailDocumentLoad

RESOLVED FIXED in 2013-07-18

Status

addons.mozilla.org Graveyard
Compatibility Tools
RESOLVED FIXED
5 years ago
3 years ago

People

(Reporter: jorgev, Assigned: basta)

Tracking

unspecified
2013-07-18

Details

(Whiteboard: [fx23])

(Reporter)

Description

5 years ago
As explained in bug 859586, these observer notifications have been removed. We need to flag all instances of "StartDocumentLoad", "EndDocumentLoad", and "FailDocumentLoad" (with quotes) and show an error.

This is a compatibility error, so the add-on should not be upgraded in this case.

Message:

"StartDocumentLoad", "EndDocumentLoad", and "FailDocumentLoad" have been removed. You can use other, more standard, event handlers instead. See <LINK> for more information.

Link: https://developer.mozilla.org/en-US/docs/XUL/School_tutorial/Intercepting_Page_Loads

Affected add-on:

https://addons.mozilla.org/firefox/addon/dom-inspector-6622/
(Assignee)

Comment 1

5 years ago
https://github.com/mozilla/amo-validator/commit/8adf5827ddd81a8ce450e33f79dd2208bc59012c
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.